Skip to main content
GET
/
v1
/
tools
/
{tool_id}
Custom Tool Details
curl --request GET \
  --url https://app.luly.ai/api/v1/tools/{tool_id} \
  --header 'authorization: <authorization>'
import requests

url = "https://app.luly.ai/api/v1/tools/{tool_id}"

headers = {"authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {authorization: '<authorization>'}};

fetch('https://app.luly.ai/api/v1/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
    "status": "success",
    "tool": {
        "tool_id": "TL-5da8347d-0ab7-415d-b156-a7fc5c6074dc",
        "label": null,
        "tool": {
            "name": "BookAppointment",
            "description": "Books the appointment. Can only be used once.",
            "speech": "Please wait while I book that appointment for you",
            "method": "POST",
            "timeout": 99999999,
            "url": "https://...",
            "body": {
                "slot": "{{input}}"
            },
            "input_schema": {
                "type": "object",
                "example": {
                    "date": "2024-03-16",
                    "time": "5:00 PM"
                },
                "required": [
                    "date",
                    "time"
                ],
                "properties": {
                    "date": "YYYY-MM-DD",
                    "time": "HH:MM (AM|PM)"
                }
            },
            "response": {
                "confirmation_message": "$.message"
            }
        },
        "public": false
    }
}

Headers

authorization
string
required
Your API key for authentication.

Path Parameters

tool_id
string
required
The ID of the tool you want to retrieve (starting with TL-).

Response

status
string
Whether the requet succeeded or failed.
tool
array
The tool you’ve created.
{
    "status": "success",
    "tool": {
        "tool_id": "TL-5da8347d-0ab7-415d-b156-a7fc5c6074dc",
        "label": null,
        "tool": {
            "name": "BookAppointment",
            "description": "Books the appointment. Can only be used once.",
            "speech": "Please wait while I book that appointment for you",
            "method": "POST",
            "timeout": 99999999,
            "url": "https://...",
            "body": {
                "slot": "{{input}}"
            },
            "input_schema": {
                "type": "object",
                "example": {
                    "date": "2024-03-16",
                    "time": "5:00 PM"
                },
                "required": [
                    "date",
                    "time"
                ],
                "properties": {
                    "date": "YYYY-MM-DD",
                    "time": "HH:MM (AM|PM)"
                }
            },
            "response": {
                "confirmation_message": "$.message"
            }
        },
        "public": false
    }
}